<?php

/**
 * @file
 * Installation code for AutoSlave embedded database engine.
 */

/**
 * Specifies installation tasks for AutoSlave driver. (Just a wrapper for the 'master' DB)
 */
class DatabaseTasks_autoslave {
  protected $__parent = NULL;

  public function __construct() {
    $this->__parent = db_installer_object(Database::getConnection('master')->driver());
  }

  /**
   * Returns a human-readable name string for the backend databases.
   */
  public function name() {
    return st(':parent (AutoSlave)', array(':parent' => $this->__parent->name()));
  }

  /**
   * Magic methods. This class wraps the 'master' connection.
   */
  public static function __callStatic($method, $args) {
    return call_user_func_array(array($this->__parent->get_class_name(), $method), $args);
  }

  public function __call($method, $args) {
    return call_user_func_array(array($this->__parent, $method), $args);
  }

  public function __get($key) {
    return $this->__parent->$key;
  }

  public function __set($key, $value) {
    $this->__parent->$key = $value;
  }

}

